# Manual de usuario de &kde;

Stephan
Kulow

    coolo@kde.org

2007-09-28
K Desktop Environment
kde4-config
1

# `kde4-config`

Imprime las rutas para la instalación de &kde;

    kde4-config --expandvars --prefix --exec-prefix --libsuffix --localprefix --version --types --path type --userpath type --install type

## Descripción

kde4-config es un programa de la línea de órdenes que se utiliza para recuperar información sobre la instalación de &kde; o las rutas de los usuarios.

Utilice este programa para determinar en que parte de su sistema se encuentran instalados varios aspectos de &kde;.

## Opciones

`--expandvars`

  expande ${prefix} y ${exec_prefix} en la salida

`--prefix`

  Se compila en prefix para las bibliotecas de &kde;

`--exec-prefix`

  Se compila en exec_prefix para las bibliotecas de &kde;

`--libsuffix`

  Se compila en la ruta de la biblioteca del sufijo

`--localprefix`

  Se utiliza el prefijo de $`HOME` para escribir archivos

`--version`

  Compilado en la versión de la cadena de las bibliotecas de &kde;

`--types`

  Imprime una lista de los tipos de recursos disponibles en &kde;

`--path tipo`

  Ruta de búsqueda para el tipo especificado

`--userpath tipo`

  Rutas de usuario para los tipos: desktop|autostart|trash|document

`--install tipo`

  Prefijo para instalar los archivos de recursos en

## Ejemplos

Imprime el directorio de instalación de &kde; de alto nivel:

&percnt;``kde4-config --prefix``

Imprime una lista de todos los tipos de recursos disponibles:

&percnt;``kde4-config --types``

Imprime la ruta del fondo de escritorio instalado:

&percnt;``kde4-config --path wallpaper``

## Ver también

kdeoptions(7)

## Fallos

Ninguno conocido.